/**
 * Grid theme for Highcharts JS
 * 
 * @author Torstein Hønsi
 */

// colors: ['#058DC7', '#50B432', '#ED561B', '#DDDF00', '#24CBE5', '#64E572',
// '#FF9655', '#FFF263', '#6AF9C4' ,'#800080' ,'#FF0000', '#0000FF' ,'#FF0080'],
Highcharts.theme = {
	// colors: ['#058DC7', '#50B432', '#ED561B', '#DDDF00', '#DD0000', '#64E572',
	// '#0000FF', '#d64646', '#6AF9C4' ,'#5198c5' ,'#FF9655','#FFDD00', '#800080',
	// '#FF0080','#D65D13','#24CBE5','#FCD208','#FFF263'],
	colors_ : [ '#800080', '#058DC7', '#FF0080', '#DDA0DD', '#24CBE5', '#FCD208', '#FF0000', '#FFFF00', '#50B432', '#00008B', '#64E572', '#d64646', '#6B8E23', '#5198c5', '#FF9655', '#8B4513', '#0000FF',
			'#708090' ],
	colors : [ '#0066B3', '#FBC140', '#A57DB9', '#88AB25', '#CD5257', '#5D3E6D', '#C69B6C', '#BDC10D', '#EAC096', '#8C6239', '#81272A', '#999999', '#800080', '#008CE2', '#FF0080', '#DDA0DD', '#24CBE5', '#FCD208', '#FF0000', '#FFFF00', '#50B432', '#00008B', '#64E572', '#d64646', '#6B8E23', '#008CE2', '#FF9655', '#8B4513', '#0000FF',
	     			'#708090' ],
	chart : {
		borderWidth : 0,
		plotBackgroundColor : '#ffffff',
		plotShadow : false,
		plotBorderWidth : 0
	},
	title : {
		style : {
			color : '#000',
			font : 'bold 16px "pf_din_text_cond_proregular, Arial, Trebuchet MS", Verdana, sans-serif'
		}
	},
	subtitle : {
		style : {
			color : '#666666',
			font : 'bold 12px "pf_din_text_cond_proregular, Arial, Trebuchet MS", Verdana, sans-serif'
		}
	},
	xAxis : {
		gridLineWidth : 0,
		lineColor : '#000',
		tickColor : '#000',
		lineWidth : 0,
		tickWidth : 0,
		labels : {
			style : {
				color : '#000',
				font : '11px pf_din_text_cond_proregular, Arial, Trebuchet MS, Verdana, sans-serif'
			}
		},
		title : {
			style : {
				color : '#333',
				fontWeight : 'bold',
				fontSize : '11px',
				fontFamily : 'pf_din_text_cond_proregular, Arial, Trebuchet MS, Verdana, sans-serif'

			}
		}
	},
	yAxis : {
		alternateGridColor : '#e5ebee',
		minorTickInterval : 'none',
		lineColor : '#000',
		lineWidth : 0,
		tickWidth : 0,
		tickColor : '#000',
		gridLineWidth : 0,
		labels : {
			style : {
				color : '#000',
				font : '11px pf_din_text_cond_proregular, Arial, Trebuchet MS, Verdana, sans-serif'
			}
		},
		title : {
			style : {
				color : '#333',
				fontWeight : 'normal',
				fontSize : '11px',
				fontFamily : 'pf_din_text_cond_proregular, Arial, Trebuchet MS, Verdana, sans-serif'
			}
		}
	},
	legend : {
		borderWidth : 0,
		itemStyle : {
			font : '9pt pf_din_text_cond_proregular, Arial, Trebuchet MS, Verdana, sans-serif',
			color : 'black'

		},
		itemHoverStyle : {
			color : '#039'
		},
		itemHiddenStyle : {
			color : 'gray'
		}
	},
	labels : {
		style : {
			color : '#99b'
		}
	},
	plotOptions : {
		column : {
			borderRadius : 0,
			borderWidth : 0,
			shadow : false
		},
		pie : {
			borderWidth : 0,
			shadow : false
		},
		scatter : {
			dataLabels : {
				enabled : true,
				color : '#000000'
			}
		}
	}
};

// Apply the theme
var highchartsOptions = Highcharts.setOptions(Highcharts.theme);
