var menuControl = function() {
	var menuItems = new Array();

	this.addMenuItems = function(items) {
		if (menuItems.length < 1) {
			menuItems = items;
		} else {
			menuItems.concat(items);
		}
	};
	
	this.getBreadCrumbs = function(page) {
		var index,
			pathArr = [],
			obj = null,
			owner = -100,
			count = menuItems.length,
			container = $("<div class='navigation'></div>"),
			item,
			findedOwner = true;		
		
		for (index = 0; index < count; index++) {
			obj = menuItems[index];
			if (obj.page === page) {
				pathArr.push(obj);
				break;
			}
		}
		
		if (pathArr.length === 0) {
			return container;
		}
		
		owner = obj.owner;
		
		while (findedOwner === true) {
			findedOwner = false;
			for (index = 0; index < count; index++) {
				obj = menuItems[index];
				if (obj.id === owner) {
					pathArr.push(obj);
					owner = obj.owner;
					findedOwner = true;
					break;
				}
			}						
		}
		
		count = pathArr.length;
		index = count - 1;
					
		for (; index >= 0; index--) {
			obj = pathArr[index];
			item = $("<a class='current'>" + obj.name + "</a>");
			if (index !== 0 || count === 1) {
			//	item.click(obj.onclick);
			}
			$(container).append($(item));
			
			if (index !== 0) {
				$(container).append(document.createTextNode( " / " ));
			}
		}
				
		return container;		
	}
	
	var renderMenu = function(id) {
		var i,
			index = 0,
			countHead = 1,
			count = menuItems.length,
			head,
			obj,
			submenuHead = null,
			submenus = null,
			itemMenu,
			menu;
		
		menu = $("<div class='topmenu'></div>");
		
		while (index < count) {
			head = menuItems[index];
			index += 1;
			
			if (head.owner !== -1) {
				continue;
			}
			
			for (i = index; i < count; i++) {
				obj = menuItems[i];
				
				if (obj.owner !== head.id) {
					continue;
				}
				
				if (submenus === null) {					
					submenus = $("<span id='menu-content-" + countHead + "' class='dropdown_menu'></span>");
				}
				
				itemMenu = $("<span><a>" + obj.name + "</a></span>");
				itemMenu.click(obj.onclick);
				
				$(submenus).append($(itemMenu));
			}
			
			if (submenus !== null) {
				submenuHead = $("<span id='menu-target-" + countHead + "' class='dropdown_menu_link link1'></span>");				
				$(submenuHead).append($("<a>" + head.name + "</a>"));
				$(submenuHead).append($(submenus));
			} else {
				submenuHead = $("<a class='link1'>" + head.name + "</a>");
				submenuHead.click(head.onclick);
			}
			
			$(menu).append($(submenuHead));
			
			submenuHead = null;
			submenus = null;
			countHead += 1;			
		}
			
		$(id).empty();
		$(id).append($(menu));
		
		$(menu).MainMenu();
		$(menu).find(".dropdown_menu_link").ezpz_tooltip({
  				contentPosition: 'belowLeft',
  				stayOnContent: true,
  				offset: 11,
  				offsetLeft: 32,
				action: 'click'
		});
	};
	
	this.render = function(id) {
		if ($(id).length < 1) {
			alert('Немогу найти элемент: ' + id);
		} else {			
			renderMenu(id);			
		}
	};

	this.clear = function() {
		menuItems = new Array();
	};
};