var Portal = new function() {
	var playerVersion = swfobject.getFlashPlayerVersion();
	this.FPV = playerVersion.major + "." + playerVersion.minor + "." + playerVersion.release;

	this.DecodeFlashID = function(id) {
		var FlashID = {
			f75 : 1,
			f50 : 2,
			f21 : 3,
			f55 : 4,
			f84 : 5,
			f82 : 6,
			f80 : 7,
			f78 : 8,
			f76 : 9,
			f4 : 10,
			f16 : 11,
			f48 : 12,
			f60 : 13,
			f10 : 14,
			f81 : 15,
			f62 : 16,
			f39 : 17,
			f49 : 18,
			f38 : 19,
			f83 : 20,
			f61 : 21,
			f54 : 22,
			f71 : 23,
			f91 : 24,
			f86 : 25,
			f77 : 26,
			f24 : 27,
			f23 : 28,
			f6 : 29,
			f79 : 30,
			f64 : 31,
			f42 : 32,
			f45 : 33,
			f73 : 34,
			f15 : 35,
			f70 : 36,
			f46 : 37,
			f94 : 38,
			f1 : 39,
			f43 : 40,
			f92 : 41,
			f37 : 42,
			f30 : 43,
			f29 : 44,
			f52 : 45,
			f56 : 46,
			f3 : 47,
			f65 : 48,
			f25 : 49,
			f44 : 50,
			f5 : 51,
			f47 : 52,
			f14 : 53,
			f53 : 54,
			f35 : 55,
			f63 : 56,
			f57 : 57,
			f67 : 58,
			f90 : 59,
			f2 : 60,
			f72 : 61,
			f59 : 62,
			f69 : 63,
			f74 : 64,
			f87 : 65,
			f33 : 66,
			f26 : 67,
			f66 : 68,
			f27 : 69,
			f36 : 70,
			f58 : 71,
			f34 : 72,
			f68 : 73,
			f51 : 74,
			f95 : 75,
			f28 : 76,
			f89 : 77,
			f88 : 78,
			f85 : 79,
			f7 : 83,
			f17 : 86,
			f11 : 87,
			f8 : 89
		};
		// alert(id);
		return FlashID['f' + id];
	};

	this.DecodeSesID = function(id) {
		var FlashID = {
			f79 : 1,
			f80 : 2,
			f81 : 3,
			f84 : 4,
			f82 : 5,
			f26 : 6,
			f83 : 7,
			f85 : 8,
			f91 : 9,
			f86 : 10,
			f87 : 11,
			f88 : 12,
			f89 : 13,
			f98 : 14,
			f90 : 15,
			f92 : 16,
			f93 : 17,
			f94 : 18,
			f95 : 19,
			f96 : 20,
			f97 : 21,
			f1 : 22,
			f3 : 23,
			f4 : 24,
			f5 : 25,
			f7 : 26,
			f8 : 27,
			f10 : 28,
			f11 : 29,
			f12 : 30,
			f14 : 31,
			f15 : 32,
			f17 : 33,
			f18 : 34,
			f19 : 35,
			f20 : 36,
			f24 : 37,
			f25 : 38,
			f27 : 39,
			f29 : 40,
			f30 : 41,
			f32 : 42,
			f33 : 43,
			f34 : 44,
			f37 : 45,
			f38 : 46,
			f41 : 47,
			f42 : 48,
			f44 : 49,
			f46 : 50,
			f47 : 51,
			f22 : 52,
			f49 : 53,
			f50 : 54,
			f52 : 55,
			f53 : 56,
			f54 : 57,
			f56 : 58,
			f57 : 59,
			f58 : 60,
			f60 : 61,
			f61 : 62,
			f36 : 63,
			f63 : 64,
			f64 : 65,
			f65 : 66,
			f66 : 67,
			f68 : 68,
			f28 : 69,
			f69 : 70,
			f70 : 71,
			f71 : 72,
			f73 : 73,
			f75 : 74,
			f76 : 75,
			f78 : 76,
			f45 : 77,
			f40 : 78,
			f99 : 79,
			f11100 : 83,
			f71100 : 86,
			f77 : 87,
			f71140 : 89
		};
		return FlashID['f' + id];
	};

	function addZero(number) {
		return (number < 10) ? ('0' + number) : number.toString();
	}

	function month(number, format) {
		var months = [];
		switch (format) {
		case 0:
			months = [ 'январь', 'февраль', 'март', 'апрель', 'май', 'июнь', 'июль', 'август', 'сентябрь', 'октябрь', 'ноябрь', 'декабрь' ];
			break;
		case 1:
			months = [ 'января', 'февраля', 'марта', 'апреля', 'мая', 'июня', 'июля', 'августа', 'сентября', 'октября', 'ноября', 'декабря' ];
			break;
		default:
			return null;
			break;
		}
		return months[number];
	}

	function time(date_, format) {
		if (typeof (date_) == 'string') {
			var d = date_.split('.');
			date_ = new Date(parseInt(d[2]), parseInt(d[1]) - 1, parseInt(d[0]));
		}
		switch (format) {
		case 0:
			return addZero(date_.getHours()) + ':' + addZero(date_.getMinutes());
			break;
		case 1:
			return addZero(date_.getHours()) + ':' + addZero(date_.getMinutes()) + ':' + addZero(date_.getSeconds());
			break;
		default:
			return null;
			break;
		}
	}

	function date(date_, format) {
		if (typeof (date_) == 'string') {
			var d = date_.split('.');
			date_ = new Date(parseInt(d[2]), parseInt(d[1]) - 1, parseInt(d[0]));
		}
		switch (format) {
		case 0:
			return date_.getDate() + ' ' + month(date_.getMonth(), 1) + ' ' + date_.getFullYear() + ' г.';
			break;
		case 1:
			return addZero(date_.getDate()) + '.' + addZero(date_.getMonth() + 1) + '.' + date_.getFullYear();
			break;
		case 2:
			return addZero(date_.getDate()) + '.' + addZero(date_.getMonth() + 1) + '.' + date_.getFullYear() + ' ' + time(date_, 0);
			break;
		case 3:
			return addZero(date_.getDate()) + '.' + addZero(date_.getMonth() + 1) + '.' + date_.getFullYear() + ' +' + time(date_, 1);
			break;
		default:
			return null;
			break;
		}
	}

	this.GetMonthName = function(number, format) {
		return month(number, format);
	};

	this.GetDate = function(date_, format) {
		return date(date_, format);
	};

	this.GetTime = function(date_, format) {
		return time(date_, format);
	};

	this.EnableExportXls = function(enable) {
		if (enable) {
			$('#export, #exportIco').show();
		} else {
			$('#export, #exportIco').hide().unbind();
		}
	};

	this.ExportXlsClick = function(func) {
		$('#export, #exportIco').click(func);
	};

	this.EnablePrint = function(enable) {
		if (enable) {
			$('#print, #printIco').show();
		} else {
			$('#print, #printIco').hide().unbind();
		}
	};

	this.PrintClick = function(func) {
		$('#print, #printIco').click(func);
	};
	
	function isIELess9 () {
		  var myNav = navigator.userAgent.toLowerCase();
		  if (myNav.indexOf('msie') != -1) {
			  var version = parseInt(myNav.split('msie')[1]);
			  return version < 9;
		  }
		  return false;
	}
	
	this.Print = function(name, value, params) {
		// debugger;
		// var pwin = window.open('print.htm', 'w' +
		// Math.random().toString().replace('.', ''), params.window);
		// pwin.document.open();
		var result = '<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" />';
		
		if (isIELess9()) {
 			result += '<meta http-equiv="X-UA-Compatible" content="IE=8" />';
 			result += "<STYLE>hcv\\:fill { DISPLAY: inline-block; BEHAVIOR: url(#default#VML) } hcv\\:path { DISPLAY: inline-block; BEHAVIOR: url(#default#VML) } hcv\\:shape { DISPLAY: inline-block; BEHAVIOR: url(#default#VML) } hcv\\:stroke { DISPLAY: inline-block; BEHAVIOR: url(#default#VML) }</STYLE>";
		}
		
		result += '<link rel="SHORTCUT ICON" href="images/favicon.ico" />';
		for ( var i = 0; i < params.css.length; i++) {
			result += '<link rel="stylesheet" href="' + params.css[i] + '" type="text/css" />';
		}
		result += '<title>' + name + '</title>' + '</head>' + '<body>' + '<div id="print64" class="print64" onclick="document.getElementById(\'print64\').style.display=\'none\';print();"></div>' + value
				+ '</body>';
		// debugger;
		$.post('storage.htm', {
			save : 'save',
			data : result
		}, function(_data) {
			var pwin = window.open('storage.htm?get=get&hash=' + _data, 'w' + Math.random().toString().replace('.', ''), params.window + ',scrollbars=1');
			// pwin.document.writeln(result);
			pwin.focus();
		});
	};

	this.Translate = function(Culture) {
		var id = Culture;// $(this).attr('id');
		
		$("body").css("background", "#fff url('images/top.png') top repeat-x ");
		
		switch (id) {
		case 'ru-RU':		
			$('#glavnajaPanel').html(_.template($('#theme_russian_body').html()));
			$('#footerContainer').html(_.template($('#theme_russian_footer').html()));
		//	alert('123');
			break;
		case 'en-GB':
			$('#glavnajaPanel').html(_.template($('#theme_english_body').html()));
			$('#footerContainer').html(_.template($('#theme_english_footer').html()));
			break;
		}
		
		$.post('GetDATA.htm', {
			elementID : 'high_menu_all',
			language : Culture
		}, function(data) {
			var $pathNode = $('.path'),
				items = eval('(' + data + ');');
			mc.clear();
			mc.addMenuItems(items);
			mc.render('#page_menu');
			
			$pathNode.empty();
			$pathNode.append($(mc.getBreadCrumbs(grouter.current.page)));
		});
		
		var names = {
			ruRU : [ 'Правительство РФ', 'Минфин России', 'Распечатать', 'Последнее обновление', 'Все права защищены и охраняются законом', 'Версия', 'Федеральная налоговая служба', 'Аналитический раздел',
					'http://www.government.ru/', 'http://www.minfin.ru/', 'http://www.nalog.ru', 'Copyright © 2005-2011 ФНС России' ],
			enGB : [ 'Government of the Russian Federation', 'Ministry of Finance of the Russian Federation', 'Print', 'Last update', 'All rights resorved', 'Version', 'FTS of Russian', 'Tax statistics',
					'http://www.government.ru/eng/', 'http://www.minfin.ru/en/', 'http://eng.nalog.ru', 'Copyright © 2005-2011 Federal Tax Service' ]
		};

		document.title = names[id.replace('-', '')][6] + ' - ' + names[id.replace('-', '')][7];
		// $.cookie('Culture', Culture);
		/*$('.header_2').removeClass().addClass('header_2').addClass('header_title_' + id.replace('-', '_'));
		$('.hlinks a').each(function(index, domEle) {
			switch (id) {
			case 'ru-RU':
				// setDefaultCoeff(1000000, 'млрд. руб.', 1000, 'млн. руб.', 1, 'тыс.
				// руб.', 0.001, 'руб.');
				$(domEle).attr('href', names[id.replace('-', '')][index + 8]).html(names[id.replace('-', '')][index]);
				break;
			case 'en-GB':
				// setDefaultCoeff(1000000, 'bln. RUR', 1000, 'mil. RUR', 1, 'тыс.
				// RUR.', 0.001, 'RUR.');
				$(domEle).attr('href', names[id.replace('-', '')][index + 8]).html(names[id.replace('-', '')][index]);
				break;
			}
		});*/
		/*
		 * switch (id) { case 'ru-RU':
		 */
		/*$('#print').html(names[id.replace('-', '')][2]);
		$('#printIco div').attr('title', names[id.replace('-', '')][2]);
		$('#lastupdate').html(names[id.replace('-', '')][3]);
		$('#copyr').html(names[id.replace('-', '')][4]);
		$('#version').html(names[id.replace('-', '')][5]);
		$('#anRazdel').html(names[id.replace('-', '')][7]);
		$('#analog, #analog2, #home').attr('href', names[id.replace('-', '')][10]);
		$('#copbyfts').html(names[id.replace('-', '')][11]);*/
		/*
		 * break; case 'en-GB': $('#print').html(names[id.replace('-', '')][2]);
		 * $('#printIco div').attr('title', names[id.replace('-', '')][2]);
		 * $('#lastupdate').html(names[id.replace('-', '')][3]);
		 * $('#copyr').html(names[id.replace('-', '')][4]);
		 * $('#version').html(names[id.replace('-', '')][5]);
		 * $('#anRazdel').html(names[id.replace('-', '')][7]); $('#analog,
		 * #analog2').attr('href', names[id.replace('-', '')][10]);
		 * $('#copbyfts').html(names[id.replace('-', '')][11]); break; }
		 */
	};
};

var pageWithMenu = function() {
	return '<table border="0" width="100%" cellspacing="0" cellpadding="0">' + '<tbody>' + '<tr>' + '<td class="middle_menu_place" id="middle_menu_place" valign="top">'
			+ '<table border="0" cellspacing="0" cellpadding="5" class="middle_menu">' + '<tbody>' + '<tr>' + '<td align="left" valign="top">' + '&nbsp;' + '</td>' + '</tr>' + '</tbody>' + '</table>'
			+ '</td>' + '<td id="rcontent" class="loading" valign="top"></td>' + '</tr>' + '</tbody>' + '</table>';
};

function executePageScript(elementId) {
	$.post('GetDATA.htm', {
		elementID : 'script_' + elementId,
		ContentType : 'text/javascript'
	});
}

/* Tree Start */

function tree_toggle(event) {
	event = event || window.event;
	var clickedElem = event.target || event.srcElement;
	if (!hasClass(clickedElem, 'Expand')) {
		return; // клик не там
	}
	// Node, на который кликнули
	var node = clickedElem.parentNode;
	if (hasClass(node, 'ExpandLeaf')) {
		return; // клик на листе
	}
	// определить новый класс для узла
	var newClass = hasClass(node, 'ExpandOpen') ? 'ExpandClosed' : 'ExpandOpen';
	// заменить текущий класс на newClass
	// регексп находит отдельно стоящий open|close и меняет на newClass
	var re = /(^|\s)(ExpandOpen|ExpandClosed)(\s|$)/;
	node.className = node.className.replace(re, '$1' + newClass + '$3');
}

function hasClass(elem, className) {
	return new RegExp("(^|\\s)" + className + "(\\s|$)").test(elem.className);
}

/*
 * function AnalysisSrfTreeClick(tree_id, element_id) { $('#' + tree_id).hide();
 * alert(element_id); }
 * 
 * function SetAnalysisSRFDefParam() {
 * 
 * $.cookie('analysis_srf_page', '0'); $.cookie('analysis_srf_reg_id', 31);
 * $.cookie('analysis_srf_reg_owner', 101); $.cookie('analysis_srf_reg_name',
 * 'Белгородская область'); }
 */
/* Tree End */

function SetModalDialogPosition() {
	var w_sizes = {
		w : $(window).width(),
		h : $(window).height()
	};
	var p_sizes = {
		w : $('#modalDialog').width(),
		h : $('#modalDialog').height()
	};
	$('#modalDialogBackground').css({
		width : w_sizes.w + 'px',
		height : w_sizes.h + 'px'
	});
	$('#modalDialog').css({
		left : (w_sizes.w - p_sizes.w) / 2 + 'px',
		top : (w_sizes.h - p_sizes.h) / 2 + 'px'
	});
}

/* On AJAX error start */

function ShowError(elementID) {
	$('#modalDialog, #modalDialogBackground').show();
	$('#modalDialog .panel_header_text').html('Ошибка на сервере! Элемент : ' + elementID);
	$('#modalDialog .panel_content').html('<div style=\"width:640px; height:480px; overflow:auto;\" >' + $('#' + elementID + '_error > div:eq(1)').html() + '</div>');
	$('#modalDialog .panel_content').removeClass('loading');
}

$(document).ajaxError(
		function(e, jqxhr, settings, exception) {
			$('#modalDialog, #modalDialogBackground').show();
			$('#modalDialog .panel_header_text').html(jqxhr.status + ' : ' + e.type + ' : ' + exception);
			$('#modalDialog .panel_content').html(
					'<br/><a style="margin: 10px 10px 10px 10px;" href="' + settings.url + '?' + settings.data + '" target="_blank">' + settings.url + '?' + settings.data + '</a>');
			$('#modalDialog .panel_content').removeClass('loading');
		});

/* On AJAX error end */

function renderPage(Culture) {
	var $pathNode = $('.path'),
		language = "";
	
	if (Culture !== null) {
		language = Culture.substring(0, 2);
	}
	
	$('#page_content').addClass('loading');
	
	$pathNode.empty();
	$pathNode.append($(mc.getBreadCrumbs(grouter.current.page)));
	
	$.post('GetDATA.htm', {
		elementID : 'with_left_menu',
		id : grouter.current.page,
		language : grouter.current.language
	}, function(data) {
		if (data == '0') {
			$.post('GetDATA.htm', {
				elementID : grouter.current.page,
				language : grouter.current.language
			}, function(data_) {
				if (data_ == '') {
					$.post('GetDATA.htm', {
						elementID : 'page_empty'
					}, function(ep) {
						$('#page_content').html(ep).removeClass('loading');
					});
				} else {
					$('#page_content').html(data_).removeClass('loading');
					executePageScript(grouter.current.page.replace('page_', ''));
				}
			});
		} else {
			$.post('GetDATA.htm', {
				elementID : grouter.current.page,
				language : grouter.current.language
			}, function(data_) {
				if (data_ == '') {
					$.post('GetDATA.htm', {
						elementID : 'page_empty'
					}, function(ep) {
						$('#page_content').html(ep).removeClass('loading');
					});
				} else {
					$('#page_content').html(pageWithMenu()).removeClass('loading');
					$('#rcontent').html(data_).removeClass('loading');
					$.post('GetDATA.htm', {
						elementID : 'middle_menu',
						id : grouter.current.page,
						language : grouter.current.language
					}, function(data_) {
						$('#middle_menu_place').html(data_);
						$(".middle_menu").addClass(language);
					});
					executePageScript(grouter.current.page.replace('page_', ''));
				}
			});
		}
	});
};